aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2021-04-05 18:40:38 +0200
committerAndrew Ammerlaan <andrewammerlaan@riseup.net>2021-04-05 18:41:35 +0200
commitfa9f0e63433e97d83563bde9bb596d4a69d362ed (patch)
tree3e17e6c37d4b0da5ed792947e59fcb5c831aeb08 /dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild
parentdev-lang/tk: import 8.5, removed from ::gentoo (diff)
downloadsci-fa9f0e63433e97d83563bde9bb596d4a69d362ed.tar.gz
sci-fa9f0e63433e97d83563bde9bb596d4a69d362ed.tar.bz2
sci-fa9f0e63433e97d83563bde9bb596d4a69d362ed.zip
dev-util/rocm-clang-ocl: add 4.1.0
Co-authored-by: Wilfried Holzke Closes: https://github.com/gentoo/sci/pull/1077 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net>
Diffstat (limited to 'dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild')
-rw-r--r--dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild b/dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild
new file mode 100644
index 000000000..1429be33c
--- /dev/null
+++ b/dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="OpenCL compilation with clang compiler"
+HOMEPAGE="https://github.com/RadeonOpenCompute/clang-ocl.git"
+SRC_URI="https://github.com/RadeonOpenCompute/clang-ocl/archive/rocm-${PV}.tar.gz -> rocm-clang-ocl-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-libs/rocm-opencl-runtime"
+DEPEND="
+ dev-util/rocm-cmake
+ ${RDEPEND}"
+
+S="${WORKDIR}/clang-ocl-rocm-${PV}"
+
+src_prepare() {
+ sed -e "s:HINTS \${CXX_COMPILER_PATH}/bin:NO_DEFAULT_PATH:" \
+ -e "s:/opt/rocm/llvm/bin:${EPREFIX}/usr/lib/llvm/roc/bin:" \
+ -e "/AMDDeviceLibs PATHS/s:/opt/rocm:${EPREFIX}/usr/lib/cmake/AMDDeviceLibs:" \
+ -e "s:\${AMD_DEVICE_LIBS_PREFIX}/amdgcn/bitcode:${EPREFIX}/usr/lib/amdgcn/bitcode:" \
+ -i CMakeLists.txt || die
+
+ cmake_src_prepare
+}